## org.apache.bcel.generic
Class IfInstruction

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.BranchInstruction
              org.apache.bcel.generic.IfInstruction

All Implemented Interfaces:
  Serializable, Cloneable, InstructionTargeter, StackConsumer

Direct Known Subclasses:
  IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL

    public abstract class IfInstruction

extends BranchInstruction
implements StackConsumer

Super class for the IFxxx family of instructions.

Version:
  $Id: IfInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.BranchInstruction
`index, position, target`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `IfInstruction(short opcode, InstructionHandle target)`

Method Summary
`abstract IfInstruction` `negate()`

Methods inherited from class org.apache.bcel.generic.BranchInstruction
`containsTarget, dump, getIndex, getTarget, getTargetOffset, getTargetOffset, initFromFile, setTarget, toString, updatePosition, updateTarget`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### IfInstruction

    protected IfInstruction(short opcode,
                            InstructionHandle target)

Parameters:
  `opcode` - opcode of instruction
  `target` - Target instruction to branch to

Method Detail

### negate

    public abstract IfInstruction negate()

  Returns:
    negation of instruction, e.g. IFEQ.negate() == IFNE

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.